> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk delete deductions



## OpenAPI

````yaml /spec/openapi.json post /deductions/bulk/delete
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /deductions/bulk/delete:
    post:
      tags:
        - Deductions
      summary: Bulk delete deductions
      operationId: deductions-bulk-delete
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    business_entity_id:
                      type: string
                    work_assignments:
                      type: object
                      properties:
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                            payee_type:
                              type: string
                              enum:
                                - contractor
                                - employee
                            pay_schedule_id:
                              type: string
                            archived:
                              type: boolean
                            payee_names:
                              type: string
                    has_business_preset:
                      type: boolean
                    business_presets:
                      type: object
                      properties:
                        include:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                    expense_accounting_codes:
                      type: object
                      properties:
                        include:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                    liability_accounting_codes:
                      type: object
                      properties:
                        include:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                    effective_on:
                      type: string
                      format: date
                    not_effective_on:
                      type: string
                      format: date
                    effective_from:
                      type: string
                      description: >-
                        The date from which this deduction is applied to Pay
                        Stubs.


                        Date filters support two formats:

                        Exact Date Match: Provide a well-formatted date in
                        `YYYY-MM-DD` format for an exact match. Example:
                        `effective_from=2024-01-01`

                        Use an array-like syntax to specify a range with one or
                        more comparison operators:

                        - `gt` (greater than)

                        - `gte` (greater than or equal to)

                        - `lte` (less than or equal to)

                        - `lt` (less than)

                        Example:
                        `effective_from[gte]=2024-01-01&effective_from[lt]=2024-12-31`
                    effective_to:
                      type: string
                      description: >-
                        The date after which this deduction is no longer
                        applied. `null` if the deduction applies indefinitely.


                        Date filters support two formats:

                        Exact Date Match: Provide a well-formatted date in
                        `YYYY-MM-DD` format for an exact match. Example:
                        `effective_to=2024-01-01`

                        Use an array-like syntax to specify a range with one or
                        more comparison operators:

                        - `gt` (greater than)

                        - `gte` (greater than or equal to)

                        - `lte` (less than or equal to)

                        - `lt` (less than)

                        Example:
                        `effective_to[gte]=2024-01-01&effective_to[lt]=2024-12-31`
                    subtypes:
                      type: object
                      properties:
                        include:
                          type: array
                          items:
                            type: string
                        exclude:
                          type: array
                          items:
                            type: string
                    ids:
                      type: object
                      properties:
                        include:
                          type: array
                          items:
                            type: string
                        exclude:
                          type: array
                          items:
                            type: string
                - type: object
                  required:
                    - business_entity_id
                    - work_assignments
            example:
              business_entity_id: <id>
              work_assignments:
                include: all
      responses:
        '202':
          description: Accepted
components:
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````